> ![MikroE](http://www.mikroe.com/img/designs/beta/logo_small.png)
> #Accel 3 Click#
> ##By [MikroElektronika](http://www.mikroe.com)
---

## Installation
Use the package manager to install the library for your architecture.

###Example on dsPIC
```
#include <stdint.h>
#include "accel3.h"

sbit ACCEL_3_CS at RC2_bit;
sbit ACCEL_3_CS_DIR at TRISC2_bit;

void system_setup( uint8_t address,accel_mode_t accel_mode,
                     data_rate_t d_rate, bus_mode_t mode );

void system_setup( uint8_t address,accel_mode_t accel_mode,
                     data_rate_t d_rate, bus_mode_t mode )
{

    //UART Initialization
  UART2_Init(57600);
  Delay_ms(300);

    //GPIO Outputs
  ACCEL_3_CS_DIR = 1;
  Delay_ms(300);


  I2C1_Init( 100000 );
  Delay_ms(500);

  //UART2_Write_Text( "I2C Initialized" );
  //UART2_Write_Text( "\r\n" );

    //Accel 3 Initialization
  accel3_init( address, NORMAL, HZ_100, I2C );


}


```

```

void main()
{
  uint8_t address = 0x18;
  xyz_t* my_coords;
  uint8_t thresh = 1;
  uint8_t duration = 15;
  char text[50];

 system_setup( address, NORMAL, HZ_100, I2C );

  while(1)
  {
     my_coords = accel3_get_xyz();

     //sprinti( text, " x: %d y: %d z: %d ", my_coords->x_pos, my_coords->y_pos, my_coords->z_pos );
     IntToStr( my_coords->x_pos, text );
     UART2_Write_Text( " x: " );
     UART2_Write_Text( text );
     IntToStr( my_coords->y_pos, text );
     UART2_Write_Text( " y: " );
     UART2_Write_Text( text );
     IntToStr( my_coords->z_pos, text );
     UART2_Write_Text( " z: " );
     UART2_Write_Text( text );

     UART2_Write_Text( "\r\n" );
     Delay_ms(1000);
  }

}

```

